SDR Sharp crash: .NET Runtime

Status
Not open for further replies.

grixelle

Newbie
Premium Subscriber
Joined
Mar 27, 2020
Messages
4
Location
Paris France
Hi Dear SDR Sharp Experts,

I've installed SDR Sharp and it works for a few minutes or until any changes to frequency are done. The crash report is attached. Here are relevant details from crash report:

Application: SDRSharp.exe
Framework Version: v4.0.30319
Description: The process was terminated due to an unhandled exception.
Exception Info: System.AccessViolationException
at SDRSharp.RTLSDR.NativeMethods.rtlsdr_set_center_freq(IntPtr, UInt32)
at SDRSharp.RTLSDR.RtlDevice.set_Frequency(UInt32)

I've confirmed that I have .Net 4.8 installed. Can anyone point me in a good direction please?

Details on install:
Windows 10 (Bootcamp) - Updated to latest drivers
.NET framework 4.8 installed
libusb version is 1.0

I'm curious why Framework Version says "v4.0" when I don't have .NET 4.0 installed?

Do I need to update libusb?

Thanks much for any guidance or ideas in advance
 

Attachments

grixelle

Newbie
Premium Subscriber
Joined
Mar 27, 2020
Messages
4
Location
Paris France
I spun my wheels for a while re-installing, but found only way to resolve was to build from source. Thus after building libusb and sdr# from source it works great now (with no crashes). Good experience in figuring out how to set up windows 10 for cmake dependencies... Not easy.
 

thewraith2008

Member
Joined
Nov 22, 2016
Messages
1,516
While you seemed to fix your problem.

The error is occurring in the RTL frontend when it tries to access the RTL driver (function 'rtlsdr_set_center_freq' - changing frequency like you said)

I'm curious, did you use the default RTLSDR driver (rtlsdr.dll) i.e. the one downloaded via the 'install-rtlsdr.bat' (from within the SDR# folder).
Or was it compiled yourself or downloaded from elsewhere?

Also which SDR# version source code did you recompile from as the latest SDR# source code is not available to public.
The last available SDR# source code version (v0.0.0.0) was from about 5 years ago. (last commit) but is a version from long before that.

FYI: The latest libusb (1.0.23) is available here as a binary. (Just to save time)
 
Status
Not open for further replies.
Top